;  ================================================================================================================================
; |                 Dr. Robotnik's Mean Bean Machine (Spanish) - Disassembly for Sega Mega Drive / Sega Genesis                    |
;  ================================================================================================================================
;
;   Disassembly by RadioTails
;
;   Translation by Max1323, CMDreamer, & Jate
;
; ==================================================================================================================================

					include	"Spanish\asm68k\Constants.asm"
					include	"Spanish\asm68k\Variables.asm"
					include	"Spanish\asm68k\Macros.asm"
					
					include	"Spanish\asm68k\Stage Text.asm"
					include	"Spanish\asm68k\Rank Text.asm"
					include	"Spanish\asm68k\Checksum Text.asm"
					include	"Spanish\asm68k\Password Text.asm"
					include	"Spanish\asm68k\Continue Text.asm"
					include	"Spanish\asm68k\How To Play Text.asm"
					include	"Spanish\asm68k\Game Over Text.asm"

EnableSRAM:			equ 0	; change to 1 to enable SRAM
BackupSRAM:			equ 1
AddressSRAM:		equ 3	; 0 = odd+even; 2 = even only; 3 = odd only

; ==================================================================================================================================

StartOfRom:
					incbin 	"Spanish\header\Vectors.bin"
					include	"Spanish\header\Information.asm"
EndOfHeader:

					incbin 	"Spanish\rom\DRMBM.bin"

; ==================================================================================================================================

					align 	$100000, $FF
					
					; Pointers to the Dialog					
					include "Spanish\asm files\Pointers\Dialog Pointers.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------

					align 	$100100, $FF
					
					; Art - 8x8 Font
					incbin 	"Spanish\art_nem\Font (8x8).nem"
					
; ----------------------------------------------------------------------------------------------------------------------------------

					align 	$100900, $FF
					
					; Art - Checksum Font
					incbin 	"Spanish\art_nem\Font (Checksum).nem"
					
; ----------------------------------------------------------------------------------------------------------------------------------

					align 	$101000, $FF
					
					; Input Test - ON/OFF Text
					include	"Spanish\asm files\Text\Input ON OFF Text.asm"			

; ----------------------------------------------------------------------------------------------------------------------------------

					align 	$101050, $FF
					
					; Options Text Pointers
					include	"Spanish\asm files\Pointers\Options Text Pointers.asm"	
					
; ----------------------------------------------------------------------------------------------------------------------------------

					align 	$101100, $FF
					
					; Input Text Pointers
					include	"Spanish\asm files\Pointers\Input Text Pointers.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------

					align 	$1011A0, $FF
					
					; Sound Text Pointers
					include	"Spanish\asm files\Pointers\Sound Text Pointers.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------

					align 	$101200, $FF
					
					; Turn Selection Pointers
					include	"Spanish\asm files\Text\Options Selections Text.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------

					align 	$101500, $FF
					
					; BGM Text Pointers
					include	"Spanish\asm files\Pointers\BGM Text Pointers.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------

					align 	$101600, $FF
					
					; Voice Text Pointers
					include	"Spanish\asm files\Pointers\Voice Text Pointers.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------

					align 	$101700, $FF
					
					; Command Text Pointers
					include	"Spanish\asm files\Pointers\Command Text Pointers.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------

					align 	$101800, $FF
					
					; Cast Text Pointers
					include	"Spanish\asm files\Pointers\Cast Text Pointers.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------

					align 	$101900, $FF
					
					; Staff Text Pointers
					include	"Spanish\asm files\Pointers\Staff Text Pointers.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------

					align 	$101C00, $FF
					
					; Staff Copyright Text
					include	"Spanish\asm files\Text\Staff Copyright Text.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------

					align 	$101D00, $FF
					
					; Staff Try Level Text
					include	"Spanish\asm files\Text\Staff Try Level Text.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------

					align 	$101F00, $FF
					
					; Title Text Pointers
					include	"Spanish\asm files\Pointers\Title Text Pointers.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------

					align 	$102000, $FF
					
					; Art - 8x16 Font
					incbin 	"Spanish\art_nem\Font (8x16).nem"
					
; ----------------------------------------------------------------------------------------------------------------------------------

					align 	$103500, $FF
					
					; VS and Exercise Text
					include	"Spanish\asm files\Text\VS and Exercise Text.asm"

; ----------------------------------------------------------------------------------------------------------------------------------
									
					align 	$104000, $FF
					
				    ; Art - Try Again
					incbin 	"Spanish\art_nem\Try Again.nem"
					
; ----------------------------------------------------------------------------------------------------------------------------------
									
					align 	$106000, $FF
					
				    ; Art - All Right and Oh No
					incbin 	"Spanish\art_nem\All Right and Oh No.nem"
					
; ----------------------------------------------------------------------------------------------------------------------------------
									
					align 	$108000, $FF
					
					; Instructions Text Pointers
					include	"Spanish\asm files\Pointers\Instructions Text Pointers.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------
									
					align 	$108100, $FF
					
					; Instructions Text
					include	"Spanish\asm files\Text\Instructions Text.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------
									
					align 	$108200, $FF
					
					; Art - Main Menu
					incbin 	"Spanish\art_nem\Main Menu.nem"
					
; ----------------------------------------------------------------------------------------------------------------------------------
									
					; Main Menu				
									
					align 	$10C000, $FF
										
					; Table - Scenario
					incbin 	"Spanish\main menu\1 - Scenario\Row 1.bin"
					incbin 	"Spanish\main menu\1 - Scenario\Row 2.bin"
					incbin 	"Spanish\main menu\1 - Scenario\Row 3.bin"
					
					align 	$10C100, $FF
					
					; Table - VS
					incbin 	"Spanish\main menu\2 - VS\Row 1.bin"	
					incbin 	"Spanish\main menu\2 - VS\Row 2.bin"
					incbin 	"Spanish\main menu\2 - VS\Row 3.bin"					
					
					align 	$10C200, $FF
					
					; Table - Exercise
					incbin 	"Spanish\main menu\3 - Exercise\Row 1.bin"
					incbin 	"Spanish\main menu\3 - Exercise\Row 2.bin"	
					incbin 	"Spanish\main menu\3 - Exercise\Row 3.bin"						
					
					align 	$10C300, $FF
					
					; Table - Options
					incbin 	"Spanish\main menu\4 - Options\Row 1.bin"
					incbin 	"Spanish\main menu\4 - Options\Row 2.bin"
					incbin 	"Spanish\main menu\4 - Options\Row 3.bin"
					
					align 	$10C400, $FF
					
					; Table - Start
					incbin 	"Spanish\main menu\5 - Start\Row 1.bin"	
					incbin 	"Spanish\main menu\5 - Start\Row 2.bin"	
					incbin 	"Spanish\main menu\5 - Start\Row 3.bin"						
					
					align 	$10C500, $FF
					
					; Table - Continue
					incbin 	"Spanish\main menu\6 - Continue\Row 1.bin"
					incbin 	"Spanish\main menu\6 - Continue\Row 2.bin"
					incbin 	"Spanish\main menu\6 - Continue\Row 3.bin"
			
; ----------------------------------------------------------------------------------------------------------------------------------
									
					align 	$10C900, $FF
					
					; Art - Misc (Beans and Has Bean)
					incbin 	"Spanish\art_nem\Misc.nem"
					
; ----------------------------------------------------------------------------------------------------------------------------------
									
					align 	$112900, $FF
					
					; Paused Text
					include	"Spanish\asm files\Text\Paused Text.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------
									
					align 	$112B00, $FF
					
					; Art - Password
					incbin 	"Spanish\art_nem\Password.nem"

; ----------------------------------------------------------------------------------------------------------------------------------
									
					align 	$116000, $FF
					
					; Art - High Scores - Background
					incbin 	"Spanish\art_nem\High Scores - Background.nem"					
					
; ----------------------------------------------------------------------------------------------------------------------------------
									
					align 	$119000, $FF
					
					; Art - High Scores - Font
					incbin 	"Spanish\art_nem\High Scores - Font.nem"
					
; ----------------------------------------------------------------------------------------------------------------------------------
									
					align 	$11D000, $FF
					
					; Password Levels Text
					include	"Spanish\asm files\Text\Password Levels Text.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------
									
					align 	$11D800, $FF
					
					; High Score Modes Text
					include	"Spanish\asm files\Text\High Score Modes Text.asm"

; ----------------------------------------------------------------------------------------------------------------------------------					
					
					align 	$11D900, $FF
					
					; Art - Scenario Letters
					incbin 	"Spanish\art_nem\Scenario Letters.nem"
					
; ----------------------------------------------------------------------------------------------------------------------------------					
					
					align 	$11E800, $FF
					
					; Scenario Text
					include	"Spanish\asm files\Text\Scenario Text.asm"

; ----------------------------------------------------------------------------------------------------------------------------------						
										
					align 	$120000, $FF
					
					; Rank Text
					include	"Spanish\asm files\Text\Rank Text.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------						
										
					align 	$120060, $FF
					
					; Art - Continue 1 (Game Over)
					incbin 	"Spanish\art_nem\Continue 1.nem"
					
; ----------------------------------------------------------------------------------------------------------------------------------						
										
					align 	$122900, $FF
					
					; Art - Continue 2 (Game Over)
					incbin 	"Spanish\art_nem\Continue 2.nem"
					
; ----------------------------------------------------------------------------------------------------------------------------------						
										
					align 	$12A200, $FF
					
					; Continue Pointer
					include	"Spanish\asm files\Pointers\Continue Pointers.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------						
										
					align 	$12A300, $FF
					
					; Checksum Pointers
					include	"Spanish\asm files\Pointers\Checksum Pointers.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------						
										
					align 	$12A400, $FF
					
					; Region Text
					include	"Spanish\asm files\Text\Region Text.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------						
										
					align 	$12B000, $FF
					
					; Game Over Text
					include	"Spanish\asm files\Text\Game Over Text.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------						
										
					align 	$12B600, $FF
					
					; Main Menu - Tile layout (Enigma)
					incbin 	"Spanish\files_eni\menu.eni"
					
; ----------------------------------------------------------------------------------------------------------------------------------						
										
					align 	$12BA00, $FF
					
					; Password - Tile layout (Enigma)
					incbin 	"Spanish\files_eni\password.eni"
					
; ----------------------------------------------------------------------------------------------------------------------------------						
										
					align 	$12C000, $FF
					
					; High Scores - Tile layout (Enigma)
					incbin 	"Spanish\files_eni\scores.eni"
					
; ----------------------------------------------------------------------------------------------------------------------------------						
										
					align 	$12CA00, $FF
					
					; VS All Right and Oh No - Art Settings
					include	"Spanish\asm files\VS All Right and Oh No - Art Settings.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------						
										
					align 	$12CA40, $FF
					
					; Cast - Text Sound.asm
					include	"Spanish\asm files\Cast - Text Sound.asm"
					
; ----------------------------------------------------------------------------------------------------------------------------------						
										
					align 	$12CB00, $FF
					
					; Art - Battle Background
					
					if RedCross=0
					incbin 	"Spanish\art_nem\Battle Area - No Cross.nem"
					endc
					
					if RedCross=1
					incbin 	"Spanish\art_nem\Battle Area - Cross.nem"
					endc
					
; ----------------------------------------------------------------------------------------------------------------------------------						
										
					align 	$12F000, $FF
					
					; Cast - Text Frame
					
					if ColorBlind=0
					incbin 	"Spanish\art_nem\Cast.nem"
					
					else
					incbin 	"Spanish\art_nem\Cast - Fix.nem"
					endc
					
; ----------------------------------------------------------------------------------------------------------------------------------						
										
					align 	$130000, $FF
					
					; Game Over - Text Settings
					include	"Spanish\asm files\Game Over - Text Settings.asm"

; ----------------------------------------------------------------------------------------------------------------------------------		
					
					align 	$130400, $FF
					
					; Art - 8x16 Font Story
					incbin 	"Spanish\art_nem\Font (8x16) - Story.nem"
					
; ----------------------------------------------------------------------------------------------------------------------------------		
					
					align 	$132000, $FF
					
					; Default - High Scores
					include "Spanish\asm files\Default - High Scores.asm"
					
; ==================================================================================================================================
								
					align 	$140000, $FF
					
					; List of Palettes
					include	"Palettes\palettes.asm"

; ==================================================================================================================================
								
					align 	$150000, $FF
					
					; Text
					include "Spanish\asm files\Text\Text.asm"
					
; ==================================================================================================================================
													
					align 	$180000, $FF
					
					; Load Sonic Hacking Contest Splash Screen
					
					if SplashScreen=1
					jsr		SHC2021
					endc
					
					rts
					even
					
					; Sonic Hacking Contest Splash Screen
SHC2021				incbin "SHC\SHC21_Full_Advanced.bin"

					dc.b    $04    ; $80
					dc.b    $64    ; $81
					dc.b    $30    ; $82
					dc.b    $3C    ; $83
					dc.b    $07    ; $84
					dc.b    $5E    ; $85
					dc.b    $00    ; $86
					dc.b    $00    ; $87
					dc.b    $00    ; $88
					dc.b    $00    ; $89
					dc.b    $00    ; $8A
					dc.b    $03    ; $8B
					dc.b    $81    ; $8C
					dc.b    $2E    ; $8D
					dc.b    $00    ; $8E
					dc.b    $02    ; $8F
					dc.b    $03    ; $90
					dc.b    $00    ; $91
					dc.b    $00    ; $92
					even					
					
; ==================================================================================================================================	

					align 	$200000, $FF ; Sets ROM Size to 2MB

EndOfRom:					
					END